The bug tracker for setuptools 0.7 or higher is on BitBucket

 

Issue62

Title pkg_resources.WorkingSet.add_entry inconsistency
Priority bug Status resolved
Superseder Nosy List aknuds-1, pje
Assigned To Keywords pkg_resources

Created on 2009-02-25.14:58:17 by aknuds-1, last changed 2009-10-12.22:23:03 by pje.

Files
File name Uploaded Type Edit Remove
unnamed.txt aknuds-1, 2009-02-25.18:13:44 text/plain
Messages
msg405 (view) Author: pje Date: 2009-10-12.22:23:02
Documentation now corrected in trunk and branch for next releases.
msg247 (view) Author: aknuds-1 Date: 2009-02-25.18:13:44
On Wed, Feb 25, 2009 at 6:40 PM, Phillip J. Eby
<setuptools@bugs.python.org>wrote:

>
> Phillip J. Eby <pje@telecommunity.com> added the comment:
>
> At 02:58 PM 2/25/2009 +0000, Arve Knudsen wrote:
> >According to WorkingSet's documentation, it should call
> >find_distributions with
> >False for the only-parameter.
>
> Where in the documentation is this?  It should be fixed.
>

In the method's docstring, at least per version 0.6c9.

> >In reality, it passes True, however.
>
> This is correct.
>
> >The documented behaviour is what I was after,
>
> Then you probably want an Environment, not a WorkingSet.
>
> ----------
> nosy: +pje
> status: unread -> chatting
>
> _______________________________________________
> Setuptools tracker <setuptools@bugs.python.org>
> <http://bugs.python.org/setupkbtbuild.configure.configure(os.path.dirname(__file__),
> dependencies=["kbt"])
> tools/issue62 <http://bugs.python.org/setuptools/issue62>>
> _______________________________________________
>
msg246 (view) Author: pje Date: 2009-02-25.17:40:51
At 02:58 PM 2/25/2009 +0000, Arve Knudsen wrote:
>According to WorkingSet's documentation, it should call 
>find_distributions with
>False for the only-parameter.

Where in the documentation is this?  It should be fixed.

>In reality, it passes True, however.

This is correct.

>The documented behaviour is what I was after,

Then you probably want an Environment, not a WorkingSet.
msg245 (view) Author: aknuds-1 Date: 2009-02-25.14:58:17
According to WorkingSet's documentation, it should call find_distributions with
False for the only-parameter. In reality, it passes True, however. The
documented behaviour is what I was after, but maybe it could be parameterized
also in this method?
History
Date User Action Args
2009-10-12 22:23:03pjesetstatus: in-progress -> resolved
messages: + msg405
2009-10-10 23:45:58pjesetstatus: chatting -> in-progress
2009-02-25 18:13:44aknuds-1setfiles: + unnamed.txt
messages: + msg247
2009-02-25 17:40:51pjesetstatus: unread -> chatting
nosy: + pje
messages: + msg246
2009-02-25 14:58:17aknuds-1create